import dynamix_sdk.base as _base


class CloudapiImageRenameResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiImageRenameProtocol(_base.BasePostAPIFunctionProtocol):
    def rename(
        self,
        *,
        image_id: int,
        name: str,
    ) -> CloudapiImageRenameResultBool:
        ...
